Package org.apache.storm.hive.bolt

## Class HiveBolt

- java.lang.Object
- - org.apache.storm.topology.base.BaseComponent
  - - org.apache.storm.topology.base.BaseRichBolt
    - - org.apache.storm.hive.bolt.HiveBolt

- All Implemented Interfaces:
    `Serializable`, `IBolt`, `IComponent`, `IRichBolt`

      @Deprecated(since="2.7.1",
                  forRemoval=true)
      public class HiveBolt
      extends BaseRichBolt

  Deprecated, for removal: This API element is subject to removal in a future version.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HiveBolt​(HiveOptions options)` | Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cleanup()` | Deprecated, for removal: This API element is subject to removal in a future version. Called when an IBolt is going to be shutdown.
    `void` | `declareOutputFields​(OutputFieldsDeclarer declarer)` | Deprecated, for removal: This API element is subject to removal in a future version. Declare the output schema for all the streams of this topology.
    `void` | `execute​(Tuple tuple)` | Deprecated, for removal: This API element is subject to removal in a future version. Process a single tuple of input.
    `Map<String,​Object>` | `getComponentConfiguration()` | Deprecated, for removal: This API element is subject to removal in a future version. Declare configuration specific to this component.
    `void` | `prepare​(Map<String,​Object> conf, TopologyContext topologyContext, OutputCollector collector)` | Deprecated, for removal: This API element is subject to removal in a future version. Called when a task for this component is initialized within a worker on the cluster.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HiveBolt

          public HiveBolt​(HiveOptions options)

      Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Detail

    - #### prepare

          public void prepare​(Map<String,​Object> conf,
                              TopologyContext topologyContext,
                              OutputCollector collector)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Description copied from interface: `IBolt`
      Called when a task for this component is initialized within a worker on the cluster. It provides the bolt with the environment in which the bolt executes.

      This includes the:

      Parameters:
        `conf` - The Storm configuration for this bolt. This is the configuration provided to the topology merged in with cluster configuration on this machine.
        `topologyContext` - This object can be used to get information about this task's place within the topology, including the task id and component id of this task, input and output information, etc.
        `collector` - The collector is used to emit tuples from this bolt. Tuples can be emitted at any time, including the prepare and cleanup methods. The collector is thread-safe and should be saved as an instance variable of this bolt object.

    - #### execute

          public void execute​(Tuple tuple)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Description copied from interface: `IBolt`
      Process a single tuple of input. The Tuple object contains metadata on it about which component/stream/task it came from. The values of the Tuple can be accessed using Tuple#getValue. The IBolt does not have to process the Tuple immediately. It is perfectly fine to hang onto a tuple and process it later (for instance, to do an aggregation or join).

      Tuples should be emitted using the OutputCollector provided through the prepare method. It is required that all input tuples are acked or failed at some point using the OutputCollector. Otherwise, Storm will be unable to determine when tuples coming off the spouts have been completed.

      For the common case of acking an input tuple at the end of the execute method, see IBasicBolt which automates this.

      Parameters:
        `tuple` - The input tuple to be processed.

    - #### declareOutputFields

          public void declareOutputFields​(OutputFieldsDeclarer declarer)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Description copied from interface: `IComponent`
      Declare the output schema for all the streams of this topology.
      Parameters:
        `declarer` - this is used to declare output stream ids, output fields, and whether or not each output stream is a direct stream

    - #### cleanup

          public void cleanup()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Description copied from interface: `IBolt`
      Called when an IBolt is going to be shutdown. Storm will make a best-effort attempt to call this if the worker shutdown is orderly. The `Config.SUPERVISOR_WORKER_SHUTDOWN_SLEEP_SECS` setting controls how long orderly shutdown is allowed to take. There is no guarantee that cleanup will be called if shutdown is not orderly, or if the shutdown exceeds the time limit.

      The one context where cleanup is guaranteed to be called is when a topology is killed when running Storm in local mode.

      Specified by:
        `cleanup` in interface `IBolt`
      Overrides:
        `cleanup` in class `BaseRichBolt`

    - #### getComponentConfiguration

          public Map<String,​Object> getComponentConfiguration()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Description copied from interface: `IComponent`
      Declare configuration specific to this component. Only a subset of the "topology.*" configs can be overridden. The component configuration can be further overridden when constructing the topology using `TopologyBuilder`
      Specified by:
        `getComponentConfiguration` in interface `IComponent`
      Overrides:
        `getComponentConfiguration` in class `BaseComponent`